# Accessibility

> [Accessibility](https://en.wikipedia.org/wiki/Accessibility) is the
> design of products so as to be usable by people with disabilities
> (Wikipedia)

Testing accessibility require special toolings, experience and a decent
amount of time.
This is the right to do, and this will likely brings benefits to all users.

So far, we have made the following assumptions:

-   The title attribute is both useful for screen-readers and people using
    a mouse that can hover.
-   In the future, we may want to complement the **title** attributes with
    attributes from
    [ARIA](https://developer.mozilla.org/en-US/docs/Web/Accessibility/ARIA),
    especially the aria-label.
-   Users may want to use a mobile phone, a tablet or a desktop.

Links:

-   [Making the Web Accessible](https://www.w3.org/WAI/)
-   [Introduction to
    accessibility](https://digital.gov/resources/introduction-accessibility/)
